Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.parser
Class UpdateType.WeightedCalculator

    java.lang.Object
      com.sun.mdm.index.parser.UpdateType.WeightedCalculator

Enclosing class:
  UpdateType

class UpdateType.WeightedCalculator
extends java.lang.Object

Nested Class Summary
`(package private) class` | `UpdateType.WeightedCalculator.CandidateFieldWeightedCalculator`
`(package private) class` | `UpdateType.WeightedCalculator.ParameterWeightedCalculator`

Field Summary
`(package private) java.util.ArrayList` | `alCandidateFields`
`(package private) java.lang.String` | `moduleName`
`(package private) java.lang.String` | `parserClass`

Constructor Summary
`(package private)` | `UpdateType.WeightedCalculator()`

Method Summary
`(package private) UpdateType.WeightedCalculator.CandidateFieldWeightedCalculator` | `createCandidateField(java.lang.String candidateField)`
`(package private) UpdateType.WeightedCalculator.ParameterWeightedCalculator` | `createParameter(java.lang.String preference, java.lang.String quality, java.lang.String utility)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### alCandidateFields

    java.util.ArrayList alCandidateFields

### moduleName

    java.lang.String moduleName

### parserClass

    java.lang.String parserClass

Constructor Detail

### UpdateType.WeightedCalculator

    UpdateType.WeightedCalculator()

Method Detail

### createCandidateField

    UpdateType.WeightedCalculator.CandidateFieldWeightedCalculator createCandidateField(java.lang.String candidateField)

### createParameter

    UpdateType.WeightedCalculator.ParameterWeightedCalculator createParameter(java.lang.String preference,
                                                                              java.lang.String quality,
                                                                              java.lang.String utility)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.